
public class TriangleUtilities {
    public static String getRow(int numberOfStars) {
        StringBuilder triangle = new StringBuilder();
        
        for (int x = 0; x < numberOfStars; x++){
             triangle.append(String.format("*"));
        }
        
        return triangle.toString();
    }

    public static String getTriangle(int numberOfRows) {
        StringBuilder triangle = new StringBuilder();
        
        for (int x = 0; x < numberOfRows; x++){
            triangle.append(String.format("*"));
            triangle.append("\n");
        }
        
        return triangle.toString();
    }

    public static String getSmallTriangle() {
        StringBuilder triangle = new StringBuilder();

        for (int x = 0; x <5; x++){
            for (int y = 0; y <x; y++){
                triangle.append(String.format("*"));
            }
            triangle.append("\n");
        }

        return triangle.toString();
    }

    public static String getLargeTriangle() {
        StringBuilder triangle = new StringBuilder();

        for (int x = 0; x <11; x++){
            for (int y = 0; y <x; y++){
                triangle.append(String.format("*"));
            }
            triangle.append("\n");
        }

        return triangle.toString();
    }
}

